#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	sqlalchemy

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	0.5.6
Release:	1
Summary:	Modular and flexible ORM library for python
Group:		Development/Libraries
License:	MIT
URL:		http://www.sqlalchemy.org/
Source0:	SQLAlchemy-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	python-sqlalchemy = %{version}-%{release}
Obsoletes:	python-sqlalchemy <= %{version}-%{release}
Obsoletes:	python25-SQLAlchemy <= %{version}-%{release}

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep
%setup -q -n SQLAlchemy-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# remove unnecessary scripts for building documentation
rm -rf doc/build

# Don't remove *.egg-onfo dirs !
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc README LICENSE PKG-INFO CHANGES doc examples
%{python_sitelib}/*

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.5.6-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.5.6-1
- Version update, build against python25-2.5.4-3
* Wed Jan 14 2009 Christian Wasem <wasem@ccux-linux.de> 0.5.0-1
- Version update
* Wed Apr 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.5-1
- Version update
* Wed Apr 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.3-1
- Initial release
